Vulnerabilities in PowerDNS Recursor 4.2.0 rc1